

import tw, { theme } from './macro'

// https://tailwindcss.com/docs/height
theme`height`

tw`h-0`
tw`h-px`
tw`h-0.5`
tw`h-1`
tw`h-1.5`
tw`h-2`
tw`h-2.5`
tw`h-3`
tw`h-3.5`
tw`h-4`
tw`h-5`
tw`h-6`
tw`h-7`
tw`h-8`
tw`h-9`
tw`h-10`
tw`h-11`
tw`h-12`
tw`h-14`
tw`h-16`
tw`h-20`
tw`h-24`
tw`h-28`
tw`h-32`
tw`h-36`
tw`h-40`
tw`h-44`
tw`h-48`
tw`h-52`
tw`h-56`
tw`h-60`
tw`h-64`
tw`h-72`
tw`h-80`
tw`h-96`
tw`h-auto`
tw`h-1/2`
tw`h-1/3`
tw`h-2/3`
tw`h-1/4`
tw`h-2/4`
tw`h-3/4`
tw`h-1/5`
tw`h-2/5`
tw`h-3/5`
tw`h-4/5`
tw`h-1/6`
tw`h-2/6`
tw`h-3/6`
tw`h-4/6`
tw`h-5/6`
tw`h-full`
tw`h-screen`
tw`h-min`
tw`h-max`
tw`h-fit`

tw`h-[32rem]`
tw`h-[3.23rem]`
tw`h-[calc(100%+1rem)]`
tw`h-[var(--height)]`

tw`h-[calc(100%-theme('spacing.16'))]`
tw`h-[calc(100%-theme("spacing.16"))]`

      ↓ ↓ ↓ ↓ ↓ ↓

// https://tailwindcss.com/docs/height
({
  0: '0px',
  1: '0.25rem',
  2: '0.5rem',
  3: '0.75rem',
  4: '1rem',
  5: '1.25rem',
  6: '1.5rem',
  7: '1.75rem',
  8: '2rem',
  9: '2.25rem',
  10: '2.5rem',
  11: '2.75rem',
  12: '3rem',
  14: '3.5rem',
  16: '4rem',
  20: '5rem',
  24: '6rem',
  28: '7rem',
  32: '8rem',
  36: '9rem',
  40: '10rem',
  44: '11rem',
  48: '12rem',
  52: '13rem',
  56: '14rem',
  60: '15rem',
  64: '16rem',
  72: '18rem',
  80: '20rem',
  96: '24rem',
  auto: 'auto',
  px: '1px',
  0.5: '0.125rem',
  1.5: '0.375rem',
  2.5: '0.625rem',
  3.5: '0.875rem',
  '1/2': '50%',
  '1/3': '33.333333%',
  '2/3': '66.666667%',
  '1/4': '25%',
  '2/4': '50%',
  '3/4': '75%',
  '1/5': '20%',
  '2/5': '40%',
  '3/5': '60%',
  '4/5': '80%',
  '1/6': '16.666667%',
  '2/6': '33.333333%',
  '3/6': '50%',
  '4/6': '66.666667%',
  '5/6': '83.333333%',
  full: '100%',
  screen: '100vh',
  min: 'min-content',
  max: 'max-content',
  fit: 'fit-content',
});
({
  height: '0px',
});
({
  height: '1px',
});
({
  height: '0.125rem',
});
({
  height: '0.25rem',
});
({
  height: '0.375rem',
});
({
  height: '0.5rem',
});
({
  height: '0.625rem',
});
({
  height: '0.75rem',
});
({
  height: '0.875rem',
});
({
  height: '1rem',
});
({
  height: '1.25rem',
});
({
  height: '1.5rem',
});
({
  height: '1.75rem',
});
({
  height: '2rem',
});
({
  height: '2.25rem',
});
({
  height: '2.5rem',
});
({
  height: '2.75rem',
});
({
  height: '3rem',
});
({
  height: '3.5rem',
});
({
  height: '4rem',
});
({
  height: '5rem',
});
({
  height: '6rem',
});
({
  height: '7rem',
});
({
  height: '8rem',
});
({
  height: '9rem',
});
({
  height: '10rem',
});
({
  height: '11rem',
});
({
  height: '12rem',
});
({
  height: '13rem',
});
({
  height: '14rem',
});
({
  height: '15rem',
});
({
  height: '16rem',
});
({
  height: '18rem',
});
({
  height: '20rem',
});
({
  height: '24rem',
});
({
  height: 'auto',
});
({
  height: '50%',
});
({
  height: '33.333333%',
});
({
  height: '66.666667%',
});
({
  height: '25%',
});
({
  height: '50%',
});
({
  height: '75%',
});
({
  height: '20%',
});
({
  height: '40%',
});
({
  height: '60%',
});
({
  height: '80%',
});
({
  height: '16.666667%',
});
({
  height: '33.333333%',
});
({
  height: '50%',
});
({
  height: '66.666667%',
});
({
  height: '83.333333%',
});
({
  height: '100%',
});
({
  height: '100vh',
});
({
  height: 'min-content',
});
({
  height: 'max-content',
});
({
  height: 'fit-content',
});
({
  height: '32rem',
});
({
  height: '3.23rem',
});
({
  height: 'calc(100%+1rem)',
});
({
  height: 'var(--height)',
});
({
  height: 'calc(100%-4rem)',
});
({
  height: 'calc(100%-4rem)',
})


